# xxfi_abort

SYNOPSIS

    #include <libmilter/mfapi.h>
    sfsistat (*xxfi_abort)(
    	SMFICTX *ctx
    );

Handle the current message's being aborted.

DESCRIPTION

Called When | xxfi_abort may be called at any time during message processing (i.e. between some message-oriented routine and xxfi_eom).
Default Behavior | Do nothing; return SMFIS_CONTINUE.

ARGUMENTS

Argument | Description
--- | ---
ctx | Opaque context structure.

NOTES

- xxfi_abort must reclaim any resources allocated on a per-message basis, and must be tolerant of being called between any two message-oriented callbacks.
- Calls to xxfi_abort and xxfi_eom are mutually exclusive.
- xxfi_abort is not responsible for reclaiming connection-specific data, since xxfi_close is always called when a connection is closed.
- Since the current message is already being aborted, the return value is currently ignored.
- xxfi_abort is only called if the message is aborted outside the filter's control and the filter has not completed its message-oriented processing. For example, if a filter has already returned SMFIS_ACCEPT, SMFIS_REJECT, or SMFIS_DISCARD from a message-oriented routine, xxfi_abort will not be called even if the message is later aborted outside its control.

Copyright (c) 2000, 2003 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.